Wednesday, October 29, 2008

Get Ready For Tomorrow

It is with great pleasure that we inform you that a new Ubuntu Linux version will be available tomorrow. Ubuntu 8.10 brings hardware support improvements, new features and problem fixes.
Please note that upgrading your system with getdeb packages installed is not supported by Ubuntu and is strongly discouraged by the GetDeb team.

In order to perform a smooth upgrade please make sure you remove all getdeb packages BEFORE starting the upgrade, you can use the following procedure:
http://www.getdeb.net/docs/uninstall.pdf

If you need upgrade instructions read http://www.ubuntu.com/getubuntu/upgrading

After upgrading do not forget to change to the selected version:
http://www.getdeb.net/distro_select.php .

If you have decided to keep with Ubuntu 8.04 LTS please note that we have recently decided to keep limited support for this release for the next 6 months, this means we will still be publishing updates but with a lower priority.

We would also like to remember that if you would want to particpate in the GetDeb team you should take a loot at http://wiki.getdeb.net/, any help is appreciated, developers, packagers, designers, testers, etc.

Saturday, October 25, 2008

Intrepid packages building started

Hello,
as planned we have started releasing packages for Intrepid, there is a lot of work to be done, we have more than 500 applications that need to be checked, a significant part will be skipped because they are already provided on the Intrepid repositories, you can check the working list .

Come on package builders, let's try to cover the list before the release day :)

Thursday, October 23, 2008

Playdeb updates

Playdeb has received two game updates recently - Wormux is now at version 0.8.2, and SecondLife at 1.21.6.99587 (our version works on both 32bit and 64bit architectures)

Additionally, numptyphysics was added - an amusing physics game made for the Maemo platform but also available on your desktop PC.

Wednesday, October 22, 2008

PlayDeb update problems

Hello,
during the last days the PlayDeb users have experienced the error "Method gave invalid 400 URI Failure message" which was breaking the apt-get upgrade. The error started after a recent change on our archive server which made the mirror selection script unavailable.
Unfortunately this annoying error which prevents people from updating their software will happen whenever the mirror selection server becomes unavailable. Because APT does not support HTTP redirect requests (Bug #18645) the only way we had to implement a distribution over mirrors was using the APT mirror method (described here). Unfortunately this mirror method is not widely used and it has yet some problems that need to be addressed. On this error case, unlike the other APT errors which are safely ignored, the mirror method raises an internal APT error which stops the upgrade process.
The problem was already reported (Bug #278635) and we will be in contact with the Ubuntu Developers hoping to get a resolution as soon as possible.

Tuesday, October 21, 2008

Packages for Intrepid coming soon

Hello,
a lot of people start asking when will there be packages available for Intrepid.
Last year we have defined a release support scheduled that we will be keeping for Intrepid, due to the our limited resources we only support the newest Ubuntu release.
The switch is made when the development release reaches the Release Candidate status, for Intrepid this is planned to happen at the end of this week.
Please note that once the switch happens we will no longer be publishing packages for Hardy.

Saturday, October 18, 2008

Web Server Changes

Hello,
yesterday www.getdeb.net was moved to a new server on a new hosting. This change resulted on a major performance improvement. We are ready for Intrepid :)